Index: interfaces/python/aubio/__init__.py
===================================================================
--- interfaces/python/aubio/__init__.py	(revision 474f297fb978bf8247e820d51a425fb8d960ff5c)
+++ interfaces/python/aubio/__init__.py	(revision 4c01c0fe325947e7a0a6141f28755f4995959b3e)
@@ -1,3 +1,4 @@
 import numpy
+from _aubio import *
 
 class fvec(numpy.ndarray):
Index: interfaces/python/test_aubio.py
===================================================================
--- interfaces/python/test_aubio.py	(revision 474f297fb978bf8247e820d51a425fb8d960ff5c)
+++ interfaces/python/test_aubio.py	(revision 4c01c0fe325947e7a0a6141f28755f4995959b3e)
@@ -1,12 +1,9 @@
 from numpy.testing import TestCase, run_module_suite
-from numpy.testing import assert_equal
-from _aubio import *
-from numpy import array
 
 class aubiomodule_test_case(TestCase):
 
-  def setUp(self):
+  def test_import(self):
     """ try importing aubio """
-
+    import aubio 
 
 if __name__ == '__main__':
Index: interfaces/python/test_cvec.py
===================================================================
--- interfaces/python/test_cvec.py	(revision 474f297fb978bf8247e820d51a425fb8d960ff5c)
+++ interfaces/python/test_cvec.py	(revision 4c01c0fe325947e7a0a6141f28755f4995959b3e)
@@ -1,5 +1,5 @@
 from numpy.testing import TestCase, run_module_suite
 from numpy.testing import assert_equal, assert_almost_equal
-from _aubio import cvec
+from aubio import cvec
 from numpy import array, shape, pi
 
Index: interfaces/python/test_fft.py
===================================================================
--- interfaces/python/test_fft.py	(revision 474f297fb978bf8247e820d51a425fb8d960ff5c)
+++ interfaces/python/test_fft.py	(revision 4c01c0fe325947e7a0a6141f28755f4995959b3e)
@@ -2,6 +2,5 @@
 from numpy.testing import assert_equal, assert_almost_equal
 # WARNING: numpy also has an fft object
-from _aubio import fft, cvec
-from aubio import fvec
+from aubio import fvec, fft, cvec
 from numpy import array, shape
 from math import pi
Index: interfaces/python/test_filter.py
===================================================================
--- interfaces/python/test_filter.py	(revision 474f297fb978bf8247e820d51a425fb8d960ff5c)
+++ interfaces/python/test_filter.py	(revision 4c01c0fe325947e7a0a6141f28755f4995959b3e)
@@ -1,6 +1,5 @@
 from numpy.testing import TestCase, run_module_suite
 from numpy.testing import assert_equal, assert_almost_equal
-from _aubio import *
-from aubio import fvec
+from aubio import fvec, digital_filter
 from numpy import array
 
Index: interfaces/python/test_filterbank.py
===================================================================
--- interfaces/python/test_filterbank.py	(revision 474f297fb978bf8247e820d51a425fb8d960ff5c)
+++ interfaces/python/test_filterbank.py	(revision 4c01c0fe325947e7a0a6141f28755f4995959b3e)
@@ -2,6 +2,5 @@
 from numpy.testing import assert_equal, assert_almost_equal
 from numpy import array, shape
-from _aubio import *
-#from aubio import cvec
+from aubio import cvec, filterbank
 
 class aubio_filter_test_case(TestCase):
Index: interfaces/python/test_fvec.py
===================================================================
--- interfaces/python/test_fvec.py	(revision 474f297fb978bf8247e820d51a425fb8d960ff5c)
+++ interfaces/python/test_fvec.py	(revision 4c01c0fe325947e7a0a6141f28755f4995959b3e)
@@ -1,6 +1,5 @@
 from numpy.testing import TestCase, run_module_suite
 from numpy.testing import assert_equal, assert_almost_equal
-from _aubio import *
-from aubio import fvec
+from aubio import fvec, zero_crossing_rate, alpha_norm, min_removal
 from numpy import array, shape
 
Index: interfaces/python/test_onsetdetection.py
===================================================================
--- interfaces/python/test_onsetdetection.py	(revision 474f297fb978bf8247e820d51a425fb8d960ff5c)
+++ interfaces/python/test_onsetdetection.py	(revision 4c01c0fe325947e7a0a6141f28755f4995959b3e)
@@ -2,5 +2,5 @@
 from numpy.testing import assert_equal, assert_almost_equal
 # WARNING: numpy also has an fft object
-from _aubio import specdesc, cvec
+from aubio import specdesc, cvec
 from numpy import array, shape, arange, zeros, log
 from math import pi
Index: interfaces/python/test_phasevoc.py
===================================================================
--- interfaces/python/test_phasevoc.py	(revision 474f297fb978bf8247e820d51a425fb8d960ff5c)
+++ interfaces/python/test_phasevoc.py	(revision 4c01c0fe325947e7a0a6141f28755f4995959b3e)
@@ -1,6 +1,5 @@
 from numpy.testing import TestCase, run_module_suite
 from numpy.testing import assert_equal, assert_almost_equal
-from aubio import fvec
-from _aubio import *
+from aubio import fvec, cvec, pvoc
 from numpy import array, shape
 
